### Method

# GLib String overwrite

since: 2.14

#### Declaration [src]

    GString*
    g_string_overwrite (
      GString* string,
      gsize pos,
      const gchar* val
    )

#### Description [src]

Overwrites part of a string, lengthening it if necessary.

Available since: 2.14

#### Parameters

`pos`

  Type: `gsize`

  The position at which to start overwriting.

`val`

  Type: `const gchar*`

  The string that will overwrite the `string` starting at `pos`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GString`

`string`.

The returned data is owned by the instance.